/**
 * @presideService
 * @singleton
 */
component {
// CONSTRUCTOR
	/**
	 * @utils.inject TwitterUtils
	 */
	public any function init( required any utils ) {
		_setUtils( arguments.utils );
		return this;
	}


	public TwitterRequest function getUserTimeline( required any account, struct params={} ) {
		return _getUtils().newRequest(
			  argumentCollection = arguments
			, method             = "GET"
			, endpoint           = "statuses/user_timeline.json"
		);
	}

	public TwitterRequest function getStatuses( required any account, struct params={} ) {
		return _getUtils().newRequest(
			  argumentCollection = arguments
			, method             = "POST"
			, endpoint           = "statuses/lookup.json"
		);
	}


 // GETTERS AND SETTERS
	private any function _getUtils() {
		return _utils;
	}
	private void function _setUtils( required any utils ) {
		_utils = arguments.Utils;
	}

}