<cfscript>
	tweet            = args.tweet        ?: {};
	renderedBody     = args.renderedBody ?: "";
	media            = args.media        ?: [];
	mediaType        = args.mediaType    ?: "";
	mediaTypeClass   = replaceNoCase( mediaType, "_", "-", "all" );
	mediaCount       = media.len();
	multiple         = mediaCount > 1;
	columnBreakAfter = mediaCount == 4 ? 2 : 1;
</cfscript>
<cfoutput>
	<article class="tweet">
		<div class="tweet-header">
			<a href="https://twitter.com/#tweet.user.screen_name#" class="tweet-user" rel="noopener noreferrer" target="_blank"><span class="tweet-user-name">#tweet.user.name#</span> <span class="tweet-user-screen-name">@#tweet.user.screen_name#</span></a>
			<a href="https://twitter.com/#tweet.user.screen_name#/status/#tweet.id_str#" class="tweet-date" rel="noopener noreferrer" target="_blank" title="#datetimeformat( tweet.created_at, "h:mm TT • d mmm, yyyy" )#">#renderTweetDate( tweet.created_at )#</a>
		</div>

		<div class="tweet-body">
			#rereplace( renderedBody, chr( 10 ), "<br>", "all" )#
		</div>

		<cfif media.len()>
			<div class="tweet-media tweet-media-#mediaTypeClass# tweet-media-#multiple ? 'multi' : 'single'#">
				<cfif multiple>
					<div class="tweet-media-multi-columns">
						<div class="tweet-media-multi-column">
				</cfif>

				<cfloop array="#media#" index="index" item="item">
					#media[ index ]#
					<cfif multiple && index == columnBreakAfter>
						</div>
						<div class="tweet-media-multi-column">
					</cfif>
				</cfloop>

				<cfif multiple>
						</div>
					</div>
				</cfif>
			</div>
		</cfif>

		<div class="tweet-footer">
			<a href="https://twitter.com/intent/tweet?in_reply_to=#tweet.id_str#">Reply</a>
			<a href="https://twitter.com/intent/retweet?tweet_id=#tweet.id_str#">Retweet</a>
			<a href="https://twitter.com/intent/like?tweet_id=#tweet.id_str#">Like</a>
		</div>
	</article>
</cfoutput>